### Method

# Meta WorkspaceManager override_workspace_layout

#### Declaration [src]

    void
    meta_workspace_manager_override_workspace_layout (
      MetaWorkspaceManager* workspace_manager,
      MetaDisplayCorner starting_corner,
      gboolean vertical_layout,
      int n_rows,
      int n_columns
    )

#### Description [src]

Explicitly set the layout of workspaces. Once this has been called, the contents of the _NET_DESKTOP_LAYOUT property on the root window are completely ignored.

#### Parameters

`starting_corner`

  Type: `MetaDisplayCorner`

  The corner at which the first workspace is found.

`vertical_layout`

  Type: `gboolean`

  If `TRUE` the workspaces are laid out in columns rather than rows.

`n_rows`

  Type: `int`

  Number of rows of workspaces, or -1 to determine the number of rows from `n_columns` and the total number of workspaces.

`n_columns`

  Type: `int`

  Number of columns of workspaces, or -1 to determine the number of columns from `n_rows` and the total number of workspaces.